Bug 1120626 - [rpm] tomcat6/7 broken symlinks
Summary: [rpm] tomcat6/7 broken symlinks
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss Enterprise Web Server 2
Classification: JBoss
Component: tomcat6, tomcat7
Version: 2.1.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: CR01
: 2.1.0
Assignee: Jean-frederic Clere
QA Contact: Michal Karm Babacek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-17 09:55 UTC by Michal Haško
Modified: 2019-06-13 08:04 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
In JBoss Enterprise Web Server, <filename>tomcat6-6.0.41-2_patch_01.ep6.el5</filename> and <filename>tomcat7-7.0.54-2_patch_01.ep6.el7</filename> contain a symbolic link that is incorrect and results in an error when used. This is a known issue is JBoss Enterprise Web Server 2.1 and no workaround is currently available for this issue.
Clone Of:
Environment:
Last Closed: 2019-06-13 08:04:53 UTC
Type: Bug


Attachments (Terms of Use)

Description Michal Haško 2014-07-17 09:55:02 UTC
These symlinks are broken, please fix them:

tomcat6-6.0.41-2_patch_01.ep6.el5:
/usr/share/java/tomcat6-catalina-ant-6.0.41.jar -> tomcat6/catalina-ant6.0.41.jar

tomcat7-7.0.54-2_patch_01.ep6.el7:
/usr/share/java/tomcat7-catalina-7.0.54.jar -> tomcat7/tomcat-catalina-7.0.54.jar
/usr/share/java/tomcat7-tomcat-websocket-api-7.0.54.jar -> tomcat7/tomcat-websocket-api-7.0.54.jar

How to reproduce:
# find /usr/share/java -type l -xtype l

Comment 2 Michal Karm Babacek 2014-08-18 18:17:01 UTC
RHEL5
-----
ll /usr/share/java/tomcat6 | grep ant
lrwxrwxrwx 1 root root      16 Aug 18 14:13 catalina-ant-6.0.41.jar -> catalina-ant.jar
-rw-r--r-- 1 root root   54636 Aug  4 18:57 catalina-ant.jar


RHEL7
-----
ll /usr/share/java/tomcat7 | grep cata
lrwxrwxrwx. 1 root root      12 Aug 18 14:14 catalina-7.0.54.jar -> catalina.jar
lrwxrwxrwx. 1 root root      16 Aug 18 14:14 catalina-ant-7.0.54.jar -> catalina-ant.jar
-rw-r--r--. 1 root root   53434 Jul 23 13:46 catalina-ant.jar
-rw-r--r--. 1 root root 1594150 Jul 23 13:46 catalina.jar

ll /usr/share/java/tomcat7 | grep websoc
lrwxrwxrwx. 1 root root      21 Aug 18 14:14 tomcat7-websocket-7.0.54.jar -> tomcat7-websocket.jar
-rw-r--r--. 1 root root  180524 Jul 23 13:45 tomcat7-websocket.jar
lrwxrwxrwx. 1 root root      17 Aug 18 14:14 websocket-api-7.0.54.jar -> websocket-api.jar
-rw-r--r--. 1 root root   36161 Jul 23 13:45 websocket-api.jar


Note You need to log in before you can comment on or make changes to this bug.